Subject: Re: [Bitcoin-development] Alert System

From: Pieter Wuille <[email-masked]>
Date: Thu, 8 Sep 2011 18:20:16 +0200

On Thu, Sep 08, 2011 at 09:09:12AM -0700, David Perry wrote:
> @Steve re "Who knows, it might be the only way we'll ever hear from Satoshi
> again."
> 
> That brings up a good point... Does anyone aside from Satoshi actually have
> the ability to send such an alert? Should we at the very least change the
> alert system to give such privileges to current devs and ensure that that if
> the missing Mr. Satoshi has had his key compromised we don't see an
> authoritative-looking alert come up from a malicious source?

Yes, Satoshi transferred the key to Gavin when he "left". I agree we should
keep it, btw. There have been suggestions before on this list to use the
alert system to ask people to upgrade to recent versions of the client (eg.
the disconnect issue 0.3.20-0.3.23 had). I feel there may come a moment when
we really need to use it for that purpose.

-- 
Pieter